OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlObjMgt

# XmlObjMgt_Persistent Class Reference

`#include <XmlObjMgt_Persistent.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlObjMgt_Persistent ()
| empty constructor
Standard_EXPORT | XmlObjMgt_Persistent (const XmlObjMgt_Element &theElement)
| constructor
Standard_EXPORT | XmlObjMgt_Persistent (const XmlObjMgt_Element &theElement, const XmlObjMgt_DOMString &theRef)
| constructor from sub-element of Element referenced by theRef
Standard_EXPORT void | CreateElement (XmlObjMgt_Element &theParent, const XmlObjMgt_DOMString &theType, const Standard_Integer theID)
| myElement := <theType id="theID"/>
Standard_EXPORT void | SetId (const Standard_Integer theId)
const XmlObjMgt_Element & | Element () const
| return myElement
| operator const XmlObjMgt_Element & () const
XmlObjMgt_Element & | Element ()
| return myElement
| operator XmlObjMgt_Element & ()
Standard_Integer | Id () const
## Private Attributes
XmlObjMgt_Element | myElement
Standard_Integer | myID

## Constructor & Destructor Documentation

Standard_EXPORT XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( |  | ) |

Standard_EXPORT XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( | const XmlObjMgt_Element & | theElement | ) |

Standard_EXPORT XmlObjMgt_Persistent::XmlObjMgt_Persistent | ( | const XmlObjMgt_Element & | theElement,
|  | const XmlObjMgt_DOMString & | theRef
| ) |

## Member Function Documentation

Standard_EXPORT void XmlObjMgt_Persistent::CreateElement | ( | XmlObjMgt_Element & | theParent,
|  | const XmlObjMgt_DOMString & | theType,
|  | const Standard_Integer | theID
| ) |

XmlObjMgt_Element & XmlObjMgt_Persistent::Element | ( |  | ) | `[inline]`

const XmlObjMgt_Element & XmlObjMgt_Persistent::Element | ( |  | ) | const`[inline]`

Standard_Integer XmlObjMgt_Persistent::Id | ( |  | ) | const`[inline]`

XmlObjMgt_Persistent::operator const XmlObjMgt_Element & | ( |  | ) | const`[inline]`

void XmlObjMgt_Persistent::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlObjMgt_Persistent::operator new | ( | size_t | size | ) | `[inline]`

void* XmlObjMgt_Persistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

XmlObjMgt_Persistent::operator XmlObjMgt_Element & | ( |  | ) | `[inline]`

Standard_EXPORT void XmlObjMgt_Persistent::SetId | ( | const Standard_Integer | theId | ) |

## Field Documentation

XmlObjMgt_Element XmlObjMgt_Persistent::myElement`[private]`

Standard_Integer XmlObjMgt_Persistent::myID`[private]`

The documentation for this class was generated from the following files:

- XmlObjMgt_Persistent.hxx
- XmlObjMgt_Persistent.lxx